import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { Series } from "./Series";
import { Thickness } from "igniteui-angular-core/ES5/Thickness";
import { Visibility } from "igniteui-angular-core/ES5/Visibility";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-angular-core/ES5/List$1";
import { Pool$1 } from "igniteui-angular-core/ES5/Pool$1";
import { Type } from "igniteui-angular-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Path } from "igniteui-angular-core/ES5/Path";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mw: CrosshairLayerView;
    o0: Brush;
    o1: Brush;
    mx: Series;
    m2: boolean;
    m0: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    my(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    mz(): boolean;
    o4: Brush;
    o2: Brush;
    nf: number;
    o3: Brush;
    readonly o8: Thickness;
    m6: number;
    m8: number;
    m7: number;
    m5: number;
    readonly o9: Thickness;
    nb: number;
    nd: number;
    nc: number;
    na: number;
    m9: number;
    o7: Brush;
    o5: Brush;
    ng: number;
    o6: Brush;
    ne: number;
    pb: Visibility;
    pa: Visibility;
    m1: boolean;
    protected mb(a: Series, b: boolean): void;
    protected md(a: Frame, b: SeriesView): void;
    protected ly(a: Series): boolean;
    ig(): void;
    private n8;
    private m4;
    private m3;
    protected n9(a: CrosshairLayerFrame, b: boolean): void;
    private n7;
    protected mg(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b1: CrosshairLayer;
    b2: Pool$1<Path>;
    protected b3: List$1<Path>;
    ap(): void;
    private b9;
    private b4;
    private b6;
    private b5;
    b7(a: Path, b: number, c: number, d: number): void;
    b8(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
